2013-01-20 (r7277) Alexander Chernov  <cher@ejudge.ru>

	* gvaluer.cpp:
	'skip' flag support is added.

2013-01-20 (r7272) Alexander Chernov  <cher@ejudge.ru>

	* gvaluer.cpp: copyright notice is updated;
	'sets_marked' option is added.

2012-12-11 (r7240) Alexander Chernov  <cher@ejudge.ru>

	* gvaluer.cpp:
	argv[3] is handled, if set to the problem directory.

2012-12-09 (r7229) Alexander Chernov  <cher@ejudge.ru>

	* checker_internal.h:
	RUN_SKIPPED status is added.

2012-11-27 (r7191) Alexander Chernov  <cher@ejudge.ru>

	* checker_internal.h:
	RUN_MAX_STATUS is set to 17.

	* valuer_parse_input.c:
	(valuer_parse_input) RUN_MAX_STATUS is used.

2012-09-25 (r7036) Alexander Chernov  <cher@ejudge.ru>

	* cmp_sexpr.c, cmp_long_double_seq.c, cmp_int_seq.c, cmp_huge_int.c, cmp_unsigned_long_long.c, cmp_double.c, cmp_long_long.c, cmp_file.c, cmp_double_seq.c, cmp_unsigned_long_long_seq.c, cmp_unsigned_int.c, cmp_long_long_seq.c, cmp_file_nospace.c, cmp_long_double.c, cmp_int.c, cmp_yesno.c, cmp_unsigned_int_seq.c:
	copyright notice is updated;
	added support for 'EJ_REQUIRE_NL' environment variable
	to check that the output file ends with '\n'.

2012-09-16 (r7025) Alexander Chernov  <cher@ejudge.ru>

	* checker_internal.h: copyright notice is updated;
	new run status RUN_WALL_TIME_LIMIT_ERR is added.

2012-08-07 (r6973) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(check_tar_tests) 'tests' is not mandatory (might be missing in zips).

2012-04-01 (r6708) Alexander Chernov  <cher@ejudge.ru>

	* read_file_by_line.c: copyright notice is updated;
	(checker_read_file_by_line) an obscure bug is fixed.

2012-03-30 (r6700) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c: copyright notice is updated;
	calls of 'ejudge_invoke_process' are updated.

2011-12-13 (r6554) Alexander Chernov  <cher@ejudge.ru>

	* read_file.c: copyright notice is updated;
	(checker_read_file) off by one bug is fixed.

2011-06-30 (r6386) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c: copyright notice is updated;
	support for make-style archives is added.

2011-03-27 (r6192) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in:
	reuse dependency removed

2011-02-27 (r6088) Alexander Chernov  <cher@ejudge.ru>

	* style_c.c:
	only the basename is reported on errors instead of the full path.

2011-02-23 (r6073) Alexander Chernov  <cher@ejudge.ru>

	* files.make: copyright notice is updated;
	'style_c.c' is added.

	* style_c.c: new file.

2010-11-22 (r6055) Alexander Chernov  <cher@ejudge.ru>

	* files.make:
	'valuer_parse_input.c' is added.

	* checker_internal.h:
	valid run statuses are updated;
	(valuer_parse_input) new function.

	* valuer_parse_input.c: initial revision.

2010-11-03 (r6029) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	Fedora 13 compilation fixes.

2010-08-08 (r5976) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(read_text_file) the function returns fail code on binary files.

2010-08-03 (r5969) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	Ticket #33.

2010-07-25 (r5963) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(check_tar_tests) parameters 'no_readme_mode', 'ignore_dot_files'
	  are added;
	  absence of README file is ignored, if 'no_readme_mode' is set;
	  dot-files are ignored, if 'ignore_dot_files' is set;
	(make_report) parameter 'ignore_dot_files' is added;
	  absence of README file is tolerated;
	  list of ignored files is printed.

2010-07-06 (r5926) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c: Ticket #29.
	ZIP archives are checked.
	<dirent.h> is included;
	(check_file_name) new function;
	(check_zip_date) new function;
	(parse_zip_file_type) new function;
	(get_zip_listing) new function;
	(unpack_zip) new function;
	(make_report) directories are re-checked after unpack;
	(main) ZIP archives are supported.

2010-07-01 (r5925) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(parse_c_string) the length of the parsed string is returned;
	(get_tar_listing) check for empty and \0-containing file names
	  is added;
	(read_text_file) whitespace characters are allowed;
	(is_valid_char) new function to restrict the set of allowed chars
	  in file names;
	(check_names) new function to check the correctness of file names;
	(main) `EJ_TESTS_MODE' is supported;
	  the names of the files in the archive are checked.

2010-06-30 (r5921) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(parse_long_long) `K', `M', `G' suffixes are supported.

2010-06-28 (r5914) Alexander Chernov  <cher@ejudge.ru>

	* files.make:
	`read_file_by_line_ex', `read_line_ex' are added.

	* checker_internal.h:
	(checker_read_file_by_line_ex) function prototype is added;
	(checker_read_line_ex) function prototype is added.

	* read_file_by_line_ex.c, read_line_ex.c: initial revision.

	* real_line.c: copyright notice is updated;
	check for invalid control characters is added;
	error reporting is improved.

2010-06-27 (r5913) Alexander Chernov  <cher@ejudge.ru>

	* files.make: copyright notice is updated;
	`in_open.c', `out_open.c', `corr_open.c', `eof.c', `skip_eoln_ex.c',
	`read_buf_ex.c', `read_int_ex.c', `read_unsigned_int_ex.c',
	`read_long_long_ex.c', `read_unsigned_long_long_ex.c',
	`read_double_ex.c', `read_long_double_ex.c' are added.

	* Makefile.unix.in:
	`checkutils.h' is installed.

	* checker_internal.h: copyright notice is updated;
	(checker_error_func_t) new type;
	(checker_in_open) new function prototype;
	(checker_out_open) new function prototype;
	(checker_corr_open) new function prototype;
	(checker_eof) new function prototype;
	(checker_eoln) new function prototype;
	(checker_skip_eoln_ex) new function prototype;
	(checker_read_buf_ex) new function prototype;
	(checker_read_int_ex) new function prototype;
	(checker_read_unsigned_int_ex) new function prototype;
	(checker_read_long_long_ex) new function prototype;
	(checker_read_unsigned_long_long_ex) new function prototype;
	(checker_read_double_ex) new function prototype;
	(checker_read_long_long_ex) new function prototype.

	* corr_eof.c, in_eof.c, team_eof.c:
	reimplemented to improve error checking;
	check for invalid control characters (!isspace(c) && c < ' ') added.

	* corr_eoln.c, in_eoln.c, team_eoln.c:
	error reporting is improved;
	reimplemented to improve error checking;
	check for invalid control characters (!isspace(c) && c < ' ') added.

	* read_buf_2.c, read_sexpr.c, skip_eoln.c: copyright notice is updated;
	check for invalid control characters (!isspace(c) && c < ' ') added.

	* read_corr_double.c, read_in_double.c, read_team_double.c: copyright notice is updated;
	`checker_read_double' is used.

	* read_corr_int.c, read_in_int.c, read_team_int.c: copyright notice is updated;
	`checker_read_int' is used.

	* read_corr_long_double.c, read_team_long_double.c: copyright notice is updated;
	`checker_read_long_double' is used.

	* read_corr_long_long.c, read_in_long_long.c, read_team_long_long.c: copyright notice is updated;
	`checker_read_long_long' is used.

	* read_corr_unsigned_int.c, read_in_unsigned_int.c, read_team_unsigned_int.c: copyright notice is updated;
	`checker_read_unsigned_int' is used.

	* read_corr_unsigned_long_long.c, read_in_unsigned_long_long.c, read_team_unsigned_long_long.c: copyright notice is updated;
	`checker_read_unsigned_long_long' is used.

	* read_double.c, read_long_double.c: copyright notice is updated;
	<errno.h> is included;
	(checker_read_double) reimplemented to improve word splitting
	and error checking.

	* read_in_long_double.c: copyright notice is updated;
	`checker_read_long_double' is used.

	* read_int.c, read_long_long.c, read_unsigned_int.c, read_unsigned_long_long.c: copyright notice is updated;
	check for empty string is added;
	error reporting is improved.

	* vars.c: copyright notice is updated;
	the names of the streams are changed.

2010-06-26 (r5911) Alexander Chernov  <cher@ejudge.ru>

	* checkutils.h, read_buf_ex.c, read_long_long_ex.c, corr_open.c, in_open.c, out_open.c, eof.c, eoln.c, read_unsigned_int_ex.c, skip_eoln_ex.c, read_long_double_ex.c, read_double_ex.c, read_int_ex.c, read_unsigned_long_long_ex.c:
	initial revision.

2010-06-26 (r5910) Alexander Chernov  <cher@ejudge.ru>

	* maxs.c, summ.c:
	files are removed.

2010-06-12 (r5876) Alexander Chernov  <cher@ejudge.ru>

	* style_archive.c:
	(fferror) removed;
	(invoke_process) removed.

2010-06-09 (r5847) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in:
	rule for style_archive is added.

	* files.make:
	style_archive.c is added.

	* style_archive.c: initial revision.

2007-12-02 (r4561) Alexander Chernov  <cher@ejudge.ru>

	* testlib.pas:
	(instream.readreal) failure during reading of very long strings is fixed.

2007-08-23 (r4316) Alexander Chernov  <cher@ejudge.ru>

	* checker_internal.h:
	(checker_ucs4_to_koi8r) renamed from `checker_ucs4_to_koi8';
	(checker_ucs4_to_koi8r_str) the same.

	* koi8r.c:
	(checker_ucs4_to_koi8r) renamed from `checker_ucs4_to_koi8';
	(checker_ucs4_to_koi8r_str) the same.

2007-08-08 (r4298) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in:
	header files are installed to `${includedir}/ejudge'.

2007-07-28 (r4240) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in:
	Makefile.unix.in:
	(distclean) `Makefile.in' is removed.

2007-07-19 (r4226) Alexander Chernov  <cher@ejudge.ru>

	* ucs2.c, files.make, ucs4.c:
	ucs2.c renamed to ucs4.c

2007-07-18 (r4222) Alexander Chernov  <cher@ejudge.ru>

	* checker_internal.h:
	  ucs4 is used instead if ucs2;
	  prototypes of related functions are also changed.

	* cp1251.c, cp866.c, iso.c, koi8.c, mac.c, ruscmp.c, ucs2.c, utf8.c:
	  copyright year is updated;
	  ucs4 is used instead of ucs2.

2007-04-07 (r4075) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in: copyright year is updated;
	`-lm' added to libchecker.so building.

2007-03-29 (r4049) Alexander Chernov  <cher@ejudge.ru>

	* cmp_double.c, cmp_huge_int.c, cmp_int.c, cmp_long_double.c, cmp_long_long.c, cmp_sexpr.c, cmp_unsigned_int.c, cmp_unsigned_long_long.c, cmp_yesno.c: copyright year is updated;
	"Check failed" error has priority over "Wrong answer" error.

2007-03-29 (r4048) Alexander Chernov  <cher@ejudge.ru>

	* cmp_huge_int.c: copyright year is updated;
	(normalize_number) the trailing garbage is properly cleared.

2007-03-23 (r4037) Alexander Chernov  <cher@ejudge.ru>

	* cmp_yesno.c: copyright year is updated;
	(checker_main) support for case-insensitive checking is added;
	  CASE_INSENSITIVE environment variable enables this behaviour.

2007-03-09 (r4009) Alexander Chernov  <cher@ejudge.ru>

	* cmp_bytes.c: copyright year is updated;
	(checker_main) characters are printed as unsinged chars.

2006-12-17 (r3745) Alexander Chernov  <cher@ejudge.ru>

	* files.make: russan charsets handling modules are added.

	* checker_internal.h: lot of functions to handle russian charsets
	  are added.

2006-12-06 (r3726) Alexander Chernov  <cher@ejudge.ru>

	* files.make:
	`read_buf_2.c' is added.

	* checker_internal.h:
	(checker_read_buf) marked as deprecated;
	(checker_read_buf_2) new function prototype.

	* read_int.c, read_in_int.c, read_team_int.c, read_corr_int.c, read_unsigned_int.c, read_in_unsigned_int.c, read_team_unsigned_int.c, read_corr_unsigned_int.c, read_long_long.c, read_in_long_long.c, read_team_long_long.c, read_corr_long_long.c, read_unsigned_long_long.c, read_in_unsigned_long_long.c, read_team_unsigned_long_long.c, read_corr_unsigned_long_long.c:
	error handling is improved: overflow is detected properly,
	`checker_read_buf_2' function is used to read the value;
	strtoTYPE function is used to parse value.

	* read_buf_2.c: initial revision.

	* cmp_huge_int.c, cmp_yesno.c:
	(checker_main) `checker_read_buf_2' is used instead of
	  `checker_read_buf'.

2006-12-05 (r3725) Alexander Chernov  <cher@ejudge.ru>

	* normalize_spaces_in_file.c, cmp_bytes.c, cmp_long_long_seq.c, cmp_unsigned_int.c, cmp_file_nospace.c, cmp_long_double.c, cmp_int.c, cmp_unsigned_int_seq.c, normalize_file.c, cmp_sexpr.c, cmp_long_double_seq.c, cmp_int_seq.c, cmp_huge_int.c, init.c, team_eoln.c, checker_internal.h, normalize_line.c, xstrdup.c, cmp_unsigned_long_long.c, checker.h, cmp_double.c, vars.c, team_close.c, cmp_long_long.c, cmp_file.c, team_eof.c, cmp_double_seq.c, cmp_unsigned_long_long_seq.c:
	copyright notice is updated for many files;
	plain `char *' is used instead of `unsigned char *';
	*_team_* functions are renamed to *_out_* functions;
	*_team_* stubs are provided for compatibility and marked deprecated;
	f_team is renamed to `f_out', but provided for compatibility;

2006-12-05 (r3724) Alexander Chernov  <cher@ejudge.ru>

	* read_line.c, read_long_double.c, read_int.c, read_team_unsigned_int.c, read_team_long_double.c, read_corr_double.c, read_corr_unsigned_long_long.c, read_team_int.c, read_in_unsigned_long_long.c, read_in_double.c, read_corr_long_long.c, read_in_long_long.c, read_double.c, read_unsigned_long_long.c, read_corr_unsigned_int.c, read_in_unsigned_int.c, read_buf.c, read_long_long.c, read_corr_long_double.c, read_corr_int.c, read_file.c, read_in_long_double.c, read_team_unsigned_long_long.c, read_team_double.c, read_file_by_line.c, read_in_int.c, read_file_f.c, read_team_long_long.c, read_file_by_line_f.c, read_unsigned_int.c:
	copyright notice is updated for many files;
	plain `char *' is used instead of `unsigned char *';
	*_team_* functions are renamed to *_out_* functions;
	*_team_* stubs are provided for compatibility and marked deprecated;
	f_team is renamed to `f_out', but provided for compatibility;

2006-11-05 (r3654) Alexander Chernov  <cher@ejudge.ru>

	* Makefile.unix.in: copyright notice is updated;
	rules for compilation of eq_*_abs.c files are added.

	* files.make:
	`eq_double_abs.c', `eq_float_abs.c', `eq_long_double_abs.c'
	  are added.

	* checker_internal.h:
	(checker_eq_double_abs) new function prototype;
	(checker_eq_float_abs) new function prototype;
	(checker_eq_long_double_abs) new function prototype.

	* cmp_double.c, cmp_double_seq.c, cmp_long_double.c, cmp_long_double_seq.c:
	  copyright notice is updated;
	(checker_main) "ABSOLUTE" environment variable is supported to
	  check the absolute difference instead the relative difference.

	* eq_double.c: copyright notice is updated;
	(checker_eq_double) grace multiplier is now 1.125 instead of 2.

	* eq_float.c: copyright notice is updated;
	(checker_eq_float) grace multiplier is now 1.125 instead of 2.

	* eq_long_double.c: copyright notice is updated;
	(checker_eq_long_double) grace multiplier is now 1.125 instead of 2.

	* eq_double_abs.c, eq_float_abs.c, eq_long_double_abs.c:
	  initial revision.

2006-11-01 (r3617) Alexander Chernov  <cher@ejudge.ru>

	* files.make: `read_file_f.c' is added.

	* checker_internal.h:
	(checker_read_file_f) function prototype is added.

	* read_file_f.c:
	initial revision.

2006-10-15 (r3524) Alexander Chernov  <cher@ejudge.ru>

	* files.make: copyright notice is updated;
	new files added: `eq_sexpr.c', `read_sexpr.c', `cmp_sexpr.c',
	  `cmp_yesno.c'.

	* checker_internal.h: copyright notice is updated;
	types for S-expressions added;
	(checker_read_sexpr) new function prototype;
	(checker_eq_sexpr) new function prototype.

	* cmp_sexpr.c, read_sexpr.c, eq_sexpr.c, cmp_yesno.c:
	initial revision.

2006-09-17 (r3372) Alexander Chernov  <cher@ejudge.ru>

	* cmp_bytes.c:
	(main) the user's and correct output was swapped.

2006-08-03 (r3217) Alexander Chernov  <cher@ispras.ru>

	* read_buf.c:
	(checker_read_buf) buffer size is increased to 1Mb.

2006-06-10 (r3156) Alexander Chernov  <cher@ispras.ru>

	* ChangeLog:
	Transition from CVS to SVN.

2006-06-05  Alexander Chernov  <cher@ispras.ru>

	* delphi/testlib.pas:
	the diagnostic output is written to stderr instead of stdout.

	* fpc/testlib.pas:
	the diagnostic output is written to stderr instead of stdout.

2006-05-09  Alexander Chernov  <cher@ispras.ru>

	* vars.c:
	copyright notice is updated;
	fix for compilation under Win32 (MinGW).

	* read_buf.c:
	copyright notice is updated;
	(checker_read_buf) fix for compilation under Win32 (MinGW).

	* init.c:
	copyright notice is updated;
	(checker_do_init) fix for compilation under Win32 (MinGW).

	* eq_long_double.c:
	copyright notice is updated;
	(checker_eq_long_double) Win32 (MinGW) version is implemented.

	* eq_float.c:
	copyright notice is updated;
	(checker_eq_float) Win32 (MinGW) version is implemented.

	* eq_double.c:
	copyright notice is updated;
	(checker_eq_double) Win32 (MinGW) version is implemented.

	* checker_internal.h:
	fixes for compilation under win32.

	* checker.h:
	(main) function is included only if NEED_MAIN is not set to 0.

	* Makefile.win32.in:
	fixes for win32 compilation under Cygwin (mno-cygwin).

	* Makefile.unix.in:
	file lists are moved to files.make.

2006-05-07  Alexander Chernov  <cher@ispras.ru>

	* Makefile.win32.in, files.make:
	initial revision

2006-04-07  Alexander Chernov  <cher@ispras.ru>

	* Makefile.unix.in:
	new files added: corr_eoln.c  in_eoln.c  team_eoln.c  cmp_huge_int.c

	* corr_eoln.c, in_eoln.c, team_eoln.c, cmp_huge_int.c:
	initial revision

2005-12-16  Alexander Chernov  <cher@ispras.ru>

	* read_file_by_line_f.c: copyright notice is updated;
	(checker_read_file_by_line_f) the buffer for file reading is allocated
	  in the heap, so reading of arbitrary-sized files is possible.

	* read_file_by_line.c: copyright notice is updated;
	(checker_read_file_by_line) the buffer for file reading is allocated
	  in the heap, so reading of arbitrary-sized files is possible.

	* read_buf.c:
	(checker_read_buf) `fatal_read' is used to report errors.

2005-11-21  Alexander Chernov  <cher@ispras.ru>

	* vars.c: copyright notice is updated;
	`testinfo_parse_func', `testinfo_strerror_func' are defined.

	* checker.h: copyright notice is updated;
	NEED_INFO is now may not be not set in the checker programs;
	fixes to allow the checker program not to define `testinfo_parse_func',
	  `testinfo_strerror_func'.

2005-11-18  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: fatal_read.c is added.

	* checker_internal.h: (fatal_read) a function prototype is added.

	* fatal_read.c: *** empty log message ***

2005-11-03  Alexander Chernov  <cher@ispras.ru>

	* read_buf.c: copyright notice is updated;
	(checker_read_buf) fixes for 64-bit platforms.

2005-11-02  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: copyright notice is updated;
	WPTRSIGN variable is added and used in CFLAGS, this variable
	is autoconfigured by configure.
	(pic/eq_double.o, pic/eq_float.o, pic/eq_long_double.o) -fPIC -DPIC
	  flags are added.

2005-09-22  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: copyright notice is updated;
	new standard checkers cmp_bytes, cmp_double, cmp_long_double,
	  cmp_double_seq, cmp_long_double_seq,
	  cmp_int_seq, cmp_unsigned_int_seq,
	  cmp_long_long_seq, cmp_unsigned_long_long_seq are added;
	new files eq_double.c, eq_float.c, eq_long_double.c are added.

	* checker_internal.h: (checker_eq_double) new function prototype;
	(checker_eq_long_double) new function prototype;
	(checker_eq_float) new function prototype.

	* cmp_double_seq.c:
	diagnostics when the sequence length differs in the correct and the
	team output is improved.

	* cmp_int_seq.c, cmp_long_double_seq.c, cmp_long_long_seq.c, cmp_unsigned_int_seq.c, cmp_unsigned_long_long_seq.c:
	initial revision

2005-09-19  Alexander Chernov  <cher@ispras.ru>

	* cmp_bytes.c, cmp_double.c, cmp_double_seq.c, cmp_long_double.c, eq_double.c, eq_float.c, eq_long_double.c:
	initial revision

2005-08-06  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: testlib for delphi is added;
	testlib destination directory is slightly changed: Free Pascal version
	  is copied to fpc subdirectory, Delphi version is copied to delphi
	  subdirectory;
	automatic compilation of testlibs is added, if the corresponding
	  languages are supported.

2005-04-28  Alexander Chernov  <cher@ispras.ru>

	* init.c: copyright notice is updated;
	(checker_do_init) relaxed check for the number of command line
	  parameters: now it is allowed to pass more parameters than needed.

2004-12-05  Alexander Chernov  <cher@ispras.ru>

	* read_file_by_line_f.c: initial revision

	* Makefile.in: read_file_by_line_f.c is added.

	* checker_internal.h:
	new experimental `checker_read_file_by_line_f' function prototype
	  is added.

2004-05-27  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: --disable-rpath option from configure is supported;
	the shared library is removed when new library is installed and
	  --enable-static option is active.

2004-05-06  Alexander Chernov  <cher@ispras.ru>

	* checker_internal.h, checker.h: protection against C++ is added;
	in C++ mode char * is used instead of unsigned char * for strings.

	* Makefile.in: pic/testinfo.o added to PICOFILES;
	testinfo.h is added to the list of installed header files;
	testinfo.h is hardlinked to the upper directory instead of softlinking.

2004-05-05  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in:
	header files are installed into include directory directly.

2004-05-04  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in: `install' rule is corrected

	* Makefile.in: added installation of the standard checkers.

	* Makefile.in: copyright notice is updated;
	added variable substitutions from configure script;
	added option to compile a shared library;
	added compilation of a number of standard checkers.

	* checker_internal.h: copyright notice is updated.

	* checker.h: copyright notice is added.

	* Makefile: Renamed to Makefile.in

2004-05-02  Alexander Chernov  <cher@ispras.ru>

	* checker_internal.h: (checker_normalize_spaces_in_file) added.

	* cmp_file_nospace.c, normalize_spaces_in_file.c: initial revision

2004-05-01  Alexander Chernov  <cher@ispras.ru>

	* read_corr_unsigned_int.c, read_corr_unsigned_long_long.c, read_in_long_long.c, read_in_unsigned_int.c, read_in_unsigned_long_long.c, read_int.c, read_team_unsigned_int.c, read_team_unsigned_long_long.c, read_unsigned_int.c, read_unsigned_long_long.c, cmp_file.c, cmp_int.c, cmp_long_long.c, cmp_unsigned_int.c, cmp_unsigned_long_long.c:
	initial revision

	* checker_internal.h:
	functions for reading `unsigned int' and `unsigned long long' are
	  added.

2003-11-24  Alexander Chernov  <cher@ispras.ru>

	* Makefile.in:
	new files added: normalize_line.c, read_corr_double.c, read_line.c,
	  skip_eoln.c.

2003-11-24  Alexander Chernov  <cher@ispras.ru>

	* checker_internal.h:
	(checker_normalize_line) new function prototype is added;
	(checker_read_line) new function prototype is added;
	(checker_skip_eoln) new function prototype is added.

	* Makefile:
	new files added: normalize_line.c, read_corr_double.c, read_line.c,
	  skip_eoln.c.

	* normalize_line.c, read_corr_double.c, read_line.c, skip_eoln.c:
	initial revision

2003-11-14  Alexander Chernov  <cher@ispras.ru>

	* Makefile, checker_internal.h, init.c, vars.c:
	*** empty log message ***

	* read_corr_long_long.c, read_long_double.c: initial revision

2003-11-01  Alexander Chernov  <cher@ispras.ru>

	* Makefile: 
	(CFILES) new files added: `read_corr_long_double.c',
	  `read_in_long_double.c', `read_team_long_long.c'.

	* checker_internal.h:
	(checker_read_corr_long_double) a new function prototype added;
	(checker_read_in_long_double) a new function prototype added;
	(checker_read_team_long_long) a new function prototype added.

	* read_corr_long_double.c, read_in_long_double.c, read_team_long_long.c:
	initial revision

2003-10-20  Alexander Chernov  <cher@ispras.ru>

	* Makefile: read_long_long.c is added to the list of C files.

	* read_long_long.c: Initial revision

2003-10-12  Alexander Chernov  <cher@ispras.ru>

	* checker_internal.h:
	number of system include files (<dirent.h>, etc) are included, if
	  NEED_TGZ option is set;
	global variables `dir_in', `dir_out' are available in NEED_TGZ mode;
	(checker_do_init) the function now accepts one more parameter.

	* checker.h: new configuration macro NEED_TGZ;
	(main) `checker_do_init' accepts now one more parameter.

	* init.c:
	(checker_do_init) the function now accepts new parameter `tgz_flag',
	  if the flag is set, the two last command line parameters must
	  be directories with the test directory content and the team output
	  directory content.

	* vars.c: new variables `dir_in' and `dir_out'.

	* checker.h: all prototypes are moved to "checker_internal.h";
	all function implementations are moved to the .c files.

	* Makefile: minor changes.

	* .cvsignore: *** empty log message ***

	* Makefile, checker_internal.h, corr_close.c, corr_eof.c, fatal.c, fatal_cf.c, fatal_pe.c, fatal_wa.c, in_close.c, in_eof.c, init.c, normalize_file.c, ok.c, team_close.c, team_eof.c, vars.c, read_buf.c, read_corr_int.c, read_double.c, read_file.c, read_file_by_line.c, read_in_double.c, read_in_int.c, read_team_double.c, read_team_int.c, read_team_long_double.c, xcalloc.c, xmalloc.c, xrealloc.c, xstrdup.c:
	initial revision

	* makefile: *** empty log message ***

2003-10-08  Alexander Chernov  <cher@ispras.ru>

	* checker.h, symbols.pas, testlib.pas: initial revision

2001-11-07  Alexander Chernov  <cher@ispras.ru>

	* makefile: the checker names changed: check_<problem>.

	* .cvsignore: *** empty log message ***

2001-01-26  Alexander Chernov  <cher@ispras.ru>

	* .cvsignore, makefile, maxs.c, summ.c: initial revision

